Debian Bug report logs - #566072
fsck now failing hard for unavailable filesystems

version graph

Package: util-linux; Maintainer for util-linux is LaMont Jones <lamont@debian.org>; Source for util-linux is src:util-linux.

Reported by: John Goerzen <jgoerzen@complete.org>

Date: Wed, 20 Jan 2010 22:48:01 UTC

Severity: critical

Tags: patch

Found in version util-linux/2.16.2-0

Fixed in version 2.17.2-7

Done: LaMont Jones <lamont@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Wed, 20 Jan 2010 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 20 Jan 2010 22:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: util-linux: fsck goes into maintenance shell on every boot
Date: Wed, 20 Jan 2010 16:44:46 -0600
[Message part 1 (text/plain, inline)]
Package: util-linux
Version: 2.16.2-0
Severity: critical
Justification: breaks the whole system

The behavior I describe started after a recent sid upgrade on at least
three distinct systems.

Follows is my retyping the information that appears on the console on
one of them:

Checking file systems...fsck from util-linux-ng 2.16.2
/dev/sda1: clean...
/sbin/fsck.xfs: XFS file system.
/dev/mapper/MASS1-home: clean...
/dev/mapper/crypt-home: clean...
/sbin/fsck.xfs: XFS file system.
open: No such file or directory
dosfsck 3.0.7, 24 Dec 2009, FAT32, LFN
fsck died with exit status 6
failed (code 6)
File system check failed. A log is being saved in
/var/log/fsck/checkfs if that location is writable....
Give root password for maintenance.

At this point, I can run mount -av; exit 0 and the system will boot
normally.

I will attach fstab and /var/log/fsck/checkfs for your diagnostic
purposes.  It is rather annoying that there is no way to tell exactly
which filesystem caused the problem given the above output.

Examining the output in that log, it appears it is running fsck -C -R
-A -a.  I can reproduce the problem at will by running that command in
the maintenance shell.  I ran fsck -C -R -A -a -s -V in the
maintenance shell, and determined that the problem was with:

fsck.vfat -a /dev/disk/by-id/usb-Apple_iPod...-part2

You will see that this filesystem is marked user,noauto in fstab and
ought not to be checked by fsck at boot time.  It never was until
recently, either.

On a lark, I changed the pass number in fstab to 0.  That fixed the
issue.

However, this change which can render a system unbootable ought to, at
minimum, be detected and warned about in a preinst.  Better yet, it
should never attempt to fsck a noauto filesystem.  If it really must,
an error to do so ought not be fatal to the boot process.

All systems with this problem upgraded from util-linux 2.16.1-4 to
2.16.2-0.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (99, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages util-linux depends on:
ii  dpkg                    1.15.5.6         Debian package management system
ii  initscripts             2.87dsf-8        scripts for initializing and shutt
ii  install-info            4.13a.dfsg.1-5   Manage installed documentation in 
ii  libblkid1               2.16.2-0         block device id library
ii  libc6                   2.10.2-5         Embedded GNU C Library: Shared lib
ii  libncurses5             5.7+20090803-2   shared libraries for terminal hand
ii  libselinux1             2.0.89-4         SELinux runtime shared libraries
ii  libuuid1                2.16.2-0         Universally Unique ID library
ii  lsb-base                3.2-23           Linux Standard Base 3.2 init scrip
ii  tzdata                  2009u-1          time zone and daylight-saving time
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

util-linux recommends no packages.

Versions of packages util-linux suggests:
ii  console-tools              1:0.2.3dbs-68 Linux console and font utilities
ii  dosfstools                 3.0.7-1       utilities for making and checking 
pn  util-linux-locales         <none>        (no description available)

-- no debconf information
[fstab (text/plain, attachment)]
[checkfs (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sun, 31 Jan 2010 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 31 Jan 2010 21:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 566072@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: John Goerzen <jgoerzen@complete.org>
Cc: 566072@bugs.debian.org
Subject: Re: util-linux: fsck goes into maintenance shell on every boot
Date: Sun, 31 Jan 2010 21:43:16 +0000
On Wed, Jan 20, 2010 at 04:44:46PM -0600, John Goerzen wrote:
> On a lark, I changed the pass number in fstab to 0.  That fixed the
> issue.

Is there a legitimate reason to set a pass number if you actually do not want
the filesystem to be checked?




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sun, 31 Jan 2010 23:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jameson Rollins <jrollins@finestructure.net>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 31 Jan 2010 23:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 566072@bugs.debian.org (full text, mbox):

From: Jameson Rollins <jrollins@finestructure.net>
To: 566072@bugs.debian.org, control@bugs.debian.org
Subject: fsck now failing hard for unavailable filesystems
Date: Sun, 31 Jan 2010 17:43:46 -0500
[Message part 1 (text/plain, inline)]
retitle 566072 fsck now failing hard for unavailable filesystems
thanks

I was recently bit by this bug as well.  Filesystems marked 'noauto'
that are not available at boot, and were previously not being checked or
at most experiencing non-fatal errors, are now experiencing fatal errors
that interupt the boot process.

This means that fsck's behavior has changed for either of the following:

* skipping checks on 'noauto' filesystems, or
* failing for unavailable filesystems

My opinion is that fsck should *not* skip checking filesystems that are
marked 'noauto'.  'noauto' refers only to whether or not the filesystem
should be mounted at boot.  I see no reason why fsck should not check
available filesystems at boot time just because they will not be
mounted.

I therefore believe that fsck should just not fail hard if a filesystem
is not available.  This seems pretty straighforward.

jamie.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'fsck now failing hard for unavailable filesystems' from 'util-linux: fsck goes into maintenance shell on every boot' Request was from Jameson Rollins <jrollins@finestructure.net> to control@bugs.debian.org. (Sun, 31 Jan 2010 23:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Mon, 01 Feb 2010 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Mon, 01 Feb 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 566072@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Clint Adams <schizo@debian.org>
Cc: 566072@bugs.debian.org
Subject: Re: util-linux: fsck goes into maintenance shell on every boot
Date: Sun, 31 Jan 2010 18:58:21 -0600
Clint Adams wrote:
> On Wed, Jan 20, 2010 at 04:44:46PM -0600, John Goerzen wrote:
>> On a lark, I changed the pass number in fstab to 0.  That fixed the
>> issue.
> 
> Is there a legitimate reason to set a pass number if you actually do not want
> the filesystem to be checked?
> 

I would say probably not.  But in the past, I (and others) would often 
cut-and-paste fstab lines, then add noauto.  Previously, the system 
would not attempt to fsck filesystems marked noauto.  So this upgrade 
could render people's machines unbootable.

On the other side of the coin, I see no reason to fail to boot because a 
noauto filesystem didn't fsck.




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sat, 27 Mar 2010 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <oberger@ouvaton.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 27 Mar 2010 17:27:02 GMT) Full text and rfc822 format available.

Message #27 received at 566072@bugs.debian.org (full text, mbox):

From: Olivier Berger <oberger@ouvaton.org>
To: 566072@bugs.debian.org
Subject: Re: Bug#566072: util-linux: fsck goes into maintenance shell on every boot
Date: Sat, 27 Mar 2010 18:26:05 +0100
Hi.

On Wed, Jan 20, 2010 at 04:44:46PM -0600, John Goerzen wrote:
> 
> Better yet, it
> should never attempt to fsck a noauto filesystem.  If it really must,
> an error to do so ought not be fatal to the boot process.
> 

I have experienced the same kind of problem.

May I suggest also that fsck displays the failing device, instead of "open: No such file or directory", to say something like :
"open /dev/sda1 : No such file or directory" for instance.

That would help a great deal identify what's problematic in the fstab.

My 2 cents,

-- 
Olivier BERGER 
(OpenPGP: 1024D/B4C5F37F)
http://www.olivierberger.com/weblog/




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Wed, 29 Sep 2010 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 29 Sep 2010 22:15:03 GMT) Full text and rfc822 format available.

Message #32 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: control@bugs.debian.org, 566072@bugs.debian.org
Subject: apparently a feature, not a bug
Date: Thu, 30 Sep 2010 00:13:00 +0200
[Message part 1 (text/plain, inline)]
tags 566072 +patch
thanks

Hi,

According to the v2.17-ReleaseNotes, this is a feature, and the recommended
way of dealing with potentially nonexistent filesystems is to use the nofail
option.

related commit:
http://git.kernel.org/?p=utils/util-linux-ng/util-linux-ng.git;a=commitdiff;h=1bb516c34bf42d2ae9dc4aa40ae34b0df4e464a7
and manpage update:
http://git.kernel.org/?p=utils/util-linux-ng/util-linux-ng.git;a=commitdiff;h=0779255c1392b0f29874c384b4dae426e0449773

So, assuming that we doesn't want to diverge from upstream, the way to go is
to add a remark in the Debian release notes, and display the offending device
right before the hard failure.

Note that the nonexistent+nofail check is done by fsck itself (eg. not
fsck.vfat or any other external binary) and only when invoked with -A.

Sample output with the attached patch:

    $ ./fsck -A
    fsck from util-linux-ng 2.17
    e2fsck 1.41.12 (17-May-2010)
    /dev/sda3 is mounted.

    WARNING!!!  The filesystem is mounted.   If you continue you ***WILL***
    cause ***SEVERE*** filesystem damage.

    Do you really want to continue (y/n)? no

    check aborted.
    e2fsck 1.41.12 (17-May-2010)
    e2fsck: need terminal for interactive repairs
--> /dev/disk/by-id/usb-Sony_Sony_DSC-part1: device nonexistent and declared without nofail
    dosfsck 3.0.9, 31 Jan 2010, FAT32, LFN
    open: No such file or directory

Without -A the behaviour remains the same (which makes sense):

    $ ./fsck /dev/disk/by-id/usb-Sony_Sony_DSC-part1
    fsck from util-linux-ng 2.17
    dosfsck 3.0.9, 31 Jan 2010, FAT32, LFN
    open: No such file or directory

-S
[fsck.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Wed, 29 Sep 2010 22:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Thu, 07 Oct 2010 20:15:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Thu, 07 Oct 2010 20:15:17 GMT) Full text and rfc822 format available.

Message #39 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Karel Zak <kzak@redhat.com>
Cc: util-linux-ng@vger.kernel.org, "Theodore Ts'o" <tytso@mit.edu>, 566072@bugs.debian.org
Subject: Re: [PATCH] fsck: list nonexistent devices that are declared without nofail
Date: Thu, 7 Oct 2010 22:13:34 +0200
On Thu, Oct 07, 2010 at 10:56:49AM +0200, Karel Zak wrote:
> On Sat, Oct 02, 2010 at 02:26:58PM +0200, Serafeim Zanikolas wrote:
> > fsck -A output does not indicate the offending device(s), when a device is
> > nonexistent and declared without nofail (e2fsck doesn't mention anything, and
> > dosfsck outputs just "No such file or directory")
> 
>  Hmm... I'd like to be conservative with this kind of warnings. The
>  "nofail" option is relatively new and I guess that many people still
>  successfully rely on the old behavior (because e2fsck doesn't mention
>  anything ;-).

The motivation is that, currently, fsck bombs out during system boot without
any hint (which, I hope you'll agree, is not helpful). A -V option won't make
any difference for this use case.

>  I have applied the patch below -- it prints the warning if -V
>  (verbose) option is specified.

ignore() is called multiple times per filesystem, so it's not the best place
to put the warning, imho.

-S




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sat, 23 Oct 2010 09:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 23 Oct 2010 09:57:10 GMT) Full text and rfc822 format available.

Message #44 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Karel Zak <kzak@redhat.com>
Cc: util-linux-ng@vger.kernel.org, 566072@bugs.debian.org
Subject: Re: [PATCH] fsck: list nonexistent devices that are declared without nofail
Date: Sat, 23 Oct 2010 11:53:13 +0200
Pardon me for being persistent. Have you missed the email below, or do you
find the argument unconvincing?

On Thu, Oct 07, 2010 at 10:13:34PM +0200, Serafeim Zanikolas wrote:
> On Thu, Oct 07, 2010 at 10:56:49AM +0200, Karel Zak wrote:
> > On Sat, Oct 02, 2010 at 02:26:58PM +0200, Serafeim Zanikolas wrote:
> > > fsck -A output does not indicate the offending device(s), when a device is
> > > nonexistent and declared without nofail (e2fsck doesn't mention anything, and
> > > dosfsck outputs just "No such file or directory")
> > 
> >  Hmm... I'd like to be conservative with this kind of warnings. The
> >  "nofail" option is relatively new and I guess that many people still
> >  successfully rely on the old behavior (because e2fsck doesn't mention
> >  anything ;-).
> 
> The motivation is that, currently, fsck bombs out during system boot without
> any hint (which, I hope you'll agree, is not helpful). A -V option won't make
> any difference for this use case.
> 
> >  I have applied the patch below -- it prints the warning if -V
> >  (verbose) option is specified.
> 
> ignore() is called multiple times per filesystem, so it's not the best place
> to put the warning, imho.
> 
> -S




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Mon, 01 Nov 2010 14:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karel Zak <kzak@redhat.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Mon, 01 Nov 2010 14:42:10 GMT) Full text and rfc822 format available.

Message #49 received at 566072@bugs.debian.org (full text, mbox):

From: Karel Zak <kzak@redhat.com>
To: Serafeim Zanikolas <sez@debian.org>
Cc: util-linux-ng@vger.kernel.org, 566072@bugs.debian.org
Subject: Re: [PATCH] fsck: list nonexistent devices that are declared without nofail
Date: Mon, 1 Nov 2010 15:40:06 +0100
On Sat, Oct 23, 2010 at 11:53:13AM +0200, Serafeim Zanikolas wrote:
> Pardon me for being persistent. Have you missed the email below, or do you
> find the argument unconvincing?

 Yes, unconvincing. Sorry.

    Karel

> On Thu, Oct 07, 2010 at 10:13:34PM +0200, Serafeim Zanikolas wrote:
> > On Thu, Oct 07, 2010 at 10:56:49AM +0200, Karel Zak wrote:
> > > On Sat, Oct 02, 2010 at 02:26:58PM +0200, Serafeim Zanikolas wrote:
> > > > fsck -A output does not indicate the offending device(s), when a device is
> > > > nonexistent and declared without nofail (e2fsck doesn't mention anything, and
> > > > dosfsck outputs just "No such file or directory")
> > > 
> > >  Hmm... I'd like to be conservative with this kind of warnings. The
> > >  "nofail" option is relatively new and I guess that many people still
> > >  successfully rely on the old behavior (because e2fsck doesn't mention
> > >  anything ;-).
> > 
> > The motivation is that, currently, fsck bombs out during system boot without
> > any hint (which, I hope you'll agree, is not helpful). A -V option won't make
> > any difference for this use case.
> > 
> > >  I have applied the patch below -- it prints the warning if -V
> > >  (verbose) option is specified.
> > 
> > ignore() is called multiple times per filesystem, so it's not the best place
> > to put the warning, imho.
> > 
> > -S
> --
> To unsubscribe from this list: send the line "unsubscribe util-linux-ng" in
> the body of a message to majordomo@vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

-- 
 Karel Zak  <kzak@redhat.com>
 http://karelzak.blogspot.com




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566072; Package util-linux. (Fri, 12 Nov 2010 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to LaMont Jones <lamont@debian.org>:
Extra info received and forwarded to list. (Fri, 12 Nov 2010 03:06:03 GMT) Full text and rfc822 format available.

Message #54 received at 566072@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: John Goerzen <jgoerzen@complete.org>, 566072@bugs.debian.org
Cc: Clint Adams <schizo@debian.org>
Subject: Re: Bug#566072: util-linux: fsck goes into maintenance shell on every boot
Date: Thu, 11 Nov 2010 20:02:53 -0700
On Sun, Jan 31, 2010 at 06:58:21PM -0600, John Goerzen wrote:
> Clint Adams wrote:
> >Is there a legitimate reason to set a pass number if you actually do not want
> >the filesystem to be checked?
> I would say probably not.  But in the past, I (and others) would
> often cut-and-paste fstab lines, then add noauto.  Previously, the
> system would not attempt to fsck filesystems marked noauto.  So this
> upgrade could render people's machines unbootable.

I'm inclined to check in preinst and at least warn the admin about what will
happen on the next boot.  Would that be sufficient for you?

> On the other side of the coin, I see no reason to fail to boot
> because a noauto filesystem didn't fsck.

It's more that a filesystem that fstab says to check failed to pass.

lamont





Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Fri, 12 Nov 2010 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Fri, 12 Nov 2010 03:21:03 GMT) Full text and rfc822 format available.

Message #59 received at 566072@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: LaMont Jones <lamont@debian.org>
Cc: 566072@bugs.debian.org, Clint Adams <schizo@debian.org>
Subject: Re: Bug#566072: util-linux: fsck goes into maintenance shell on every boot
Date: Thu, 11 Nov 2010 21:18:16 -0600
On 11/11/2010 09:02 PM, LaMont Jones wrote:
> On Sun, Jan 31, 2010 at 06:58:21PM -0600, John Goerzen wrote:
>> Clint Adams wrote:
>>> Is there a legitimate reason to set a pass number if you actually do not want
>>> the filesystem to be checked?
>> I would say probably not.  But in the past, I (and others) would
>> often cut-and-paste fstab lines, then add noauto.  Previously, the
>> system would not attempt to fsck filesystems marked noauto.  So this
>> upgrade could render people's machines unbootable.
>
> I'm inclined to check in preinst and at least warn the admin about what will
> happen on the next boot.  Would that be sufficient for you?

I could live with that.

-- John




Removed tag(s) patch. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 10:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sun, 28 Nov 2010 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 28 Nov 2010 14:45:03 GMT) Full text and rfc822 format available.

Message #66 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 566072@bugs.debian.org, control@bugs.debian.org
Subject: proposed patch
Date: Sun, 28 Nov 2010 15:41:37 +0100
[Message part 1 (text/plain, inline)]
tag 566072 patch
thanks

Dear maintainer,

Please consider the attached patch that displays a warning using debconf. Note
that I've added the warning in the postinst script (as opposed to preinst, as
suggested in msg #54 of this bug report) so that it suffices to Depend on
debconf (as opposed to pre-depend).

I'll consider a delayed NMU unless I hear from you real soon now.

Cheers,
Serafeim
[diff (text/plain, attachment)]

Added tag(s) patch. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sun, 28 Nov 2010 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 28 Nov 2010 16:45:06 GMT) Full text and rfc822 format available.

Message #73 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 566072@bugs.debian.org
Subject: Re: proposed patch
Date: Sun, 28 Nov 2010 17:43:34 +0100
[Message part 1 (text/plain, inline)]
Here's a slightly revised patch (the one before didn't actually call
dh_installdebconf)

-S
[diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566072; Package util-linux. (Sun, 28 Nov 2010 16:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to LaMont Jones <lamont@debian.org>:
Extra info received and forwarded to list. (Sun, 28 Nov 2010 16:51:09 GMT) Full text and rfc822 format available.

Message #78 received at 566072@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: Serafeim Zanikolas <sez@debian.org>, 566072@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#566072: proposed patch
Date: Sun, 28 Nov 2010 09:48:30 -0700
On Sun, Nov 28, 2010 at 03:41:37PM +0100, Serafeim Zanikolas wrote:
> Please consider the attached patch that displays a warning using debconf. Note
> that I've added the warning in the postinst script (as opposed to preinst, as
> suggested in msg #54 of this bug report) so that it suffices to Depend on
> debconf (as opposed to pre-depend).

I've been trying to avoid _ANY_ debconf dependency in util-linux.  I'll ponder
this an get back with you on Monday (US time).

> I'll consider a delayed NMU unless I hear from you real soon now.

Please wait.

lamont




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sun, 28 Nov 2010 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 28 Nov 2010 17:24:02 GMT) Full text and rfc822 format available.

Message #83 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: LaMont Jones <lamont@debian.org>
Cc: 566072@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#566072: proposed patch
Date: Sun, 28 Nov 2010 18:17:33 +0100
On Sun, Nov 28, 2010 at 09:48:30AM -0700, LaMont Jones wrote:
> On Sun, Nov 28, 2010 at 03:41:37PM +0100, Serafeim Zanikolas wrote:
> > Please consider the attached patch that displays a warning using debconf. Note
> > that I've added the warning in the postinst script (as opposed to preinst, as
> > suggested in msg #54 of this bug report) so that it suffices to Depend on
> > debconf (as opposed to pre-depend).
> 
> I've been trying to avoid _ANY_ debconf dependency in util-linux.  I'll ponder
> this an get back with you on Monday (US time).

I sympathise with that goal. How about dropping the dependency all together
(or using recommends or even suggests instead), and invoking debconf only when
it happens to be installed already (ie. by checking the existence of
/usr/share/debconf/confmodule)? For the most part, the warning is relevant to
desktop upgrades, in which case debconf is almost certain to be already
installed.

Also, an addition to the release notes might be useful.

-S




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Tue, 30 Nov 2010 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Tue, 30 Nov 2010 21:36:03 GMT) Full text and rfc822 format available.

Message #88 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: LaMont Jones <lamont@debian.org>
Cc: 566072@bugs.debian.org
Subject: Re: Bug#566072: proposed patch
Date: Tue, 30 Nov 2010 22:33:27 +0100
On Sun, Nov 28, 2010 at 09:48:30AM -0700, LaMont Jones wrote [edited]:
> I'll ponder this an get back with you on Monday (US time).

and? what about my earlier proposal of using debconf only if it happens to be
installed?

-S




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#566072; Package util-linux. (Tue, 30 Nov 2010 22:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to LaMont Jones <lamont@debian.org>:
Extra info received and forwarded to list. (Tue, 30 Nov 2010 22:18:13 GMT) Full text and rfc822 format available.

Message #93 received at 566072@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: Serafeim Zanikolas <sez@debian.org>
Cc: LaMont Jones <lamont@debian.org>, 566072@bugs.debian.org
Subject: Re: Bug#566072: proposed patch
Date: Tue, 30 Nov 2010 15:14:39 -0700
On Tue, Nov 30, 2010 at 10:33:27PM +0100, Serafeim Zanikolas wrote:
> On Sun, Nov 28, 2010 at 09:48:30AM -0700, LaMont Jones wrote [edited]:
> > I'll ponder this an get back with you on Monday (US time).
> and? what about my earlier proposal of using debconf only if it happens to be
> installed?

Well, given that we want to print something, and the only compliant
way to do that is via debconf, we're kind of stuck with using it for
the purpose.  I'll upload something with the change either late this
week, or (more likely) early next.  Unless there's a pressing need for
sooner?

lamont




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Tue, 30 Nov 2010 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Tue, 30 Nov 2010 22:36:05 GMT) Full text and rfc822 format available.

Message #98 received at 566072@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: LaMont Jones <lamont@debian.org>
Cc: 566072@bugs.debian.org
Subject: Re: Bug#566072: proposed patch
Date: Tue, 30 Nov 2010 23:32:08 +0100
That's fine. I'm glad that my NMU is unnecessary; obviously, feel free to use
(parts of) it.

It would be good however to finalise the text ASAP so that we advertise it for
translations.

-S




Reply sent to LaMont Jones <lamont@debian.org>:
You have taken responsibility. (Fri, 24 Dec 2010 21:36:07 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Fri, 24 Dec 2010 21:36:07 GMT) Full text and rfc822 format available.

Message #103 received at 566072-close@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: 566072-close@bugs.debian.org
Subject: Bug#566072: fixed in util-linux 2.17.2-4
Date: Fri, 24 Dec 2010 21:33:20 +0000
Source: util-linux
Source-Version: 2.17.2-4

We believe that the bug you reported is fixed in the latest version of
util-linux, which is due to be installed in the Debian FTP archive:

bsdutils_2.17.2-4_amd64.deb
  to main/u/util-linux/bsdutils_2.17.2-4_amd64.deb
bsdutils_2.17.2-4_i386.deb
  to main/u/util-linux/bsdutils_2.17.2-4_i386.deb
cfdisk-udeb_2.17.2-4_amd64.udeb
  to main/u/util-linux/cfdisk-udeb_2.17.2-4_amd64.udeb
cfdisk-udeb_2.17.2-4_i386.udeb
  to main/u/util-linux/cfdisk-udeb_2.17.2-4_i386.udeb
fdisk-udeb_2.17.2-4_amd64.udeb
  to main/u/util-linux/fdisk-udeb_2.17.2-4_amd64.udeb
fdisk-udeb_2.17.2-4_i386.udeb
  to main/u/util-linux/fdisk-udeb_2.17.2-4_i386.udeb
libblkid-dev_2.17.2-4_amd64.deb
  to main/u/util-linux/libblkid-dev_2.17.2-4_amd64.deb
libblkid-dev_2.17.2-4_i386.deb
  to main/u/util-linux/libblkid-dev_2.17.2-4_i386.deb
libblkid1-udeb_2.17.2-4_amd64.udeb
  to main/u/util-linux/libblkid1-udeb_2.17.2-4_amd64.udeb
libblkid1-udeb_2.17.2-4_i386.udeb
  to main/u/util-linux/libblkid1-udeb_2.17.2-4_i386.udeb
libblkid1_2.17.2-4_amd64.deb
  to main/u/util-linux/libblkid1_2.17.2-4_amd64.deb
libblkid1_2.17.2-4_i386.deb
  to main/u/util-linux/libblkid1_2.17.2-4_i386.deb
libuuid1-udeb_2.17.2-4_amd64.udeb
  to main/u/util-linux/libuuid1-udeb_2.17.2-4_amd64.udeb
libuuid1-udeb_2.17.2-4_i386.udeb
  to main/u/util-linux/libuuid1-udeb_2.17.2-4_i386.udeb
libuuid1_2.17.2-4_amd64.deb
  to main/u/util-linux/libuuid1_2.17.2-4_amd64.deb
libuuid1_2.17.2-4_i386.deb
  to main/u/util-linux/libuuid1_2.17.2-4_i386.deb
mount_2.17.2-4_amd64.deb
  to main/u/util-linux/mount_2.17.2-4_amd64.deb
mount_2.17.2-4_i386.deb
  to main/u/util-linux/mount_2.17.2-4_i386.deb
util-linux-locales_2.17.2-4_all.deb
  to main/u/util-linux/util-linux-locales_2.17.2-4_all.deb
util-linux-udeb_2.17.2-4_amd64.udeb
  to main/u/util-linux/util-linux-udeb_2.17.2-4_amd64.udeb
util-linux-udeb_2.17.2-4_i386.udeb
  to main/u/util-linux/util-linux-udeb_2.17.2-4_i386.udeb
util-linux_2.17.2-4.diff.gz
  to main/u/util-linux/util-linux_2.17.2-4.diff.gz
util-linux_2.17.2-4.dsc
  to main/u/util-linux/util-linux_2.17.2-4.dsc
util-linux_2.17.2-4_amd64.deb
  to main/u/util-linux/util-linux_2.17.2-4_amd64.deb
util-linux_2.17.2-4_i386.deb
  to main/u/util-linux/util-linux_2.17.2-4_i386.deb
uuid-dev_2.17.2-4_amd64.deb
  to main/u/util-linux/uuid-dev_2.17.2-4_amd64.deb
uuid-dev_2.17.2-4_i386.deb
  to main/u/util-linux/uuid-dev_2.17.2-4_i386.deb
uuid-runtime_2.17.2-4_amd64.deb
  to main/u/util-linux/uuid-runtime_2.17.2-4_amd64.deb
uuid-runtime_2.17.2-4_i386.deb
  to main/u/util-linux/uuid-runtime_2.17.2-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566072@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LaMont Jones <lamont@debian.org> (supplier of updated util-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 24 Dec 2010 14:06:47 -0700
Source: util-linux
Binary: util-linux util-linux-locales mount bsdutils fdisk-udeb cfdisk-udeb libblkid1 libblkid1-udeb libblkid-dev libuuid1 uuid-runtime libuuid1-udeb uuid-dev util-linux-udeb
Architecture: all amd64 i386 source
Version: 2.17.2-4
Distribution: unstable
Urgency: low
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: LaMont Jones <lamont@debian.org>
Closes: 117596 510130 566072 593336
Description: 
 bsdutils   - Basic utilities from 4.4BSD-Lite
 cfdisk-udeb - Manually partition a hard drive (cfdisk) (udeb)
 fdisk-udeb - Manually partition a hard drive (fdisk) (udeb)
 libblkid1  - block device id library
 libblkid1-udeb - block device id library (udeb)
 libblkid-dev - block device id library - headers and static libraries
 libuuid1-udeb - stripped down universally unique id library, for debian-installer (udeb)
 libuuid1   - Universally Unique ID library
 mount      - Tools for mounting and manipulating filesystems
 util-linux-locales - Locales files for util-linux
 util-linux - Miscellaneous system utilities
 util-linux-udeb - Miscellaneous system utilities (udeb)
 uuid-dev   - universally unique id library - headers and static libraries
 uuid-runtime - runtime components for the Universally Unique ID library
Changes: 
 util-linux (2.17.2-4) unstable; urgency=low
 .
   [Miklos Szeredi]
 .
   * mount: don't canonicalize "spec" with --no-canonicalize option.
     Closes: #593336
 .
   [Karel Zak]
 .
   * fdisk: fix freespace boundaries calculation on SGI disklabel.
     Closes: #510130
 .
   [LaMont Jones]
 .
   * Deliver agetty as both agetty and getty, preferring agetty.
     Closes: #117596
   * Declare source format (1.0)
   * use debconf (iff installed) to warn about noauto fileysstems with non-zero
     pass numbers.  Closes: #566072
   * update lintian-overrides, actually install them in the deb
Checksums-Sha1: 
 b42cffe7e92d43df6edb5c02ab8f6af5e4e505e3 733094 util-linux_2.17.2-4_amd64.deb
 dacd854813cf821c5e56f7a2762185bbcb3aa5a6 177428 mount_2.17.2-4_amd64.deb
 e90b6e6592c7708a38a903f55fc2d37ea1f2ab19 79348 bsdutils_2.17.2-4_amd64.deb
 3f83db5e7046e8bd03e85377817f3554076447f0 76696 fdisk-udeb_2.17.2-4_amd64.udeb
 8dbefdab69ef841e9741c3598d5e012256d2dac0 1363992 cfdisk-udeb_2.17.2-4_amd64.udeb
 66a1bcf4a81cb1c9a212af1d91f4db8f6e0f60fe 107686 libblkid1_2.17.2-4_amd64.deb
 91ba0f2aa653e8bbabd154d329c7c0646c2ac281 57924 libblkid1-udeb_2.17.2-4_amd64.udeb
 0a1b313c1cf57d688003bf26d44d384faeec6f69 135130 libblkid-dev_2.17.2-4_amd64.deb
 f0e9d7b9de393b7e9d5abf54615ae56722a90ef3 58388 libuuid1_2.17.2-4_amd64.deb
 bae3b5c65d3be08e59696fc4cc3f73679c5a9821 61842 uuid-runtime_2.17.2-4_amd64.deb
 eca47d11c5c85bd370bd851735d6b0ab0a065332 8032 libuuid1-udeb_2.17.2-4_amd64.udeb
 18767801687b4defaab104df3b6707b469aad1e8 73018 uuid-dev_2.17.2-4_amd64.deb
 96c479ee111bba7fa85f50b427d6e61a4b5cf18d 10882 util-linux-udeb_2.17.2-4_amd64.udeb
 1275dc1b4a39f485e74db857a1442aa7c7cdacdf 1386234 util-linux-locales_2.17.2-4_all.deb
 07512c1edfd3a7015e15cc1566c788af7bb7b425 702320 util-linux_2.17.2-4_i386.deb
 31e1cd1b876fa053dc13fc64f3442cbffc218d27 169766 mount_2.17.2-4_i386.deb
 a643529ca09db05b652b9ab1fcd3731f0f53abf6 77732 bsdutils_2.17.2-4_i386.deb
 fd7903de6a38a10672df1aeb0abe543d5e10eccf 71478 fdisk-udeb_2.17.2-4_i386.udeb
 1924df897efa7b8c730304a454c442f1b080eebd 1363120 cfdisk-udeb_2.17.2-4_i386.udeb
 342e8943f2e7d9a55e27ad04a004a7178edb0fe7 105642 libblkid1_2.17.2-4_i386.deb
 a75669cee39f2151f11fd91b7dc82de51fa9c306 55976 libblkid1-udeb_2.17.2-4_i386.udeb
 474fe848503ab0b7351b9bf8e343b8899d1aca20 129686 libblkid-dev_2.17.2-4_i386.deb
 6ffc7427a83ab4aca752406461ba49889365a51c 58074 libuuid1_2.17.2-4_i386.deb
 384a2daad6b9a64d04fe2f16523aa1bce997a084 61008 uuid-runtime_2.17.2-4_i386.deb
 727a15665c39b80641fc0c5c907cd827793bb094 7786 libuuid1-udeb_2.17.2-4_i386.udeb
 187b8d09201c3df75602b0e9efced8431c66fb68 71852 uuid-dev_2.17.2-4_i386.deb
 0d36a4b383058a1ac8ddcf1b109d9c0aac5cca8a 10174 util-linux-udeb_2.17.2-4_i386.udeb
 d699910fcefa42e5963f3b7c47541ade61162056 1485 util-linux_2.17.2-4.dsc
 be3d8612ef3e40e3d3e60038e926cb51d0e6ce36 178379 util-linux_2.17.2-4.diff.gz
Checksums-Sha256: 
 e7969a7edb0235b25465fffeb86d1cc8b253e18e2ebe792836a03953f4fbfc74 733094 util-linux_2.17.2-4_amd64.deb
 f5481259ac44d1ea1fcb006531253bb7fd15a616ef8c647a5510a6f2dfc9dda9 177428 mount_2.17.2-4_amd64.deb
 e2373289b70d07ffbcc59c0cb2d5f700df2de7ce5278612a960d20dcceafb76f 79348 bsdutils_2.17.2-4_amd64.deb
 6c4bcf7bb185544bbeea8d73276822ba444765f22f486ec78bf741e6b3b233c5 76696 fdisk-udeb_2.17.2-4_amd64.udeb
 d795583860ed4fc903104ce8cb3696d3a95ed58410e53088c0cc023cbe6528db 1363992 cfdisk-udeb_2.17.2-4_amd64.udeb
 dec111ecf447d5d4be6d77438a6c3179b11988ea2986bdc4f5227acb20038661 107686 libblkid1_2.17.2-4_amd64.deb
 b6ac5fffe6f6d5b67252ec5cce45c0959f05fa1600c3bbe039c85897bdff79c5 57924 libblkid1-udeb_2.17.2-4_amd64.udeb
 b5b9b2b181f9b1d7335203e5eb4cc5faea34b635b324cbb1d8b11312cc0b6f1d 135130 libblkid-dev_2.17.2-4_amd64.deb
 b4a43a05362e191aa71dcf88bba29074828c127ee2bd8456906f5f142cadad62 58388 libuuid1_2.17.2-4_amd64.deb
 76348248fd642bb8efbed9984d8654312dad30665c0f7e616492bd5d05aadbd7 61842 uuid-runtime_2.17.2-4_amd64.deb
 5d90a16b209d273c0a1ac8f4b704eb7104a8e6e46d783ec9ffba15b99ac47c84 8032 libuuid1-udeb_2.17.2-4_amd64.udeb
 d0b0e0294fa23d78d06b33b6d1b6ae374e11a7c0dadb1e5fea02ba2538d76251 73018 uuid-dev_2.17.2-4_amd64.deb
 2af7ca6250ad146aa0cc601fdcf4eb035f51a18ef23de7df49d100c76f91a28f 10882 util-linux-udeb_2.17.2-4_amd64.udeb
 81a801f470fab2c2824e1c835b1f7f7e460d81906048357acb3b21d526efd9cd 1386234 util-linux-locales_2.17.2-4_all.deb
 de4532defb0970ef86bf51048d02d82f346e62a44a0cfba9d146a65988539885 702320 util-linux_2.17.2-4_i386.deb
 167357e1a5a32a6758e85ec62525d98b168be1b24a4ee5dc15ae01f0bd4f064a 169766 mount_2.17.2-4_i386.deb
 3602c72c8c59a4531859ed000db0cc68751b415c4f30a32d0ee78c207b3530d3 77732 bsdutils_2.17.2-4_i386.deb
 b8565cea14a3e0c2a77a43b822727c8bec116e5d496e01c18b52c8ab5f21806a 71478 fdisk-udeb_2.17.2-4_i386.udeb
 9463a6c39de2cd319cc40dd76fea778cac9c96846c589c91ccca8b5cca12ecee 1363120 cfdisk-udeb_2.17.2-4_i386.udeb
 45212c6b832a6939def4b3bcd4129327c45f898f513f25b395061b9f5606586a 105642 libblkid1_2.17.2-4_i386.deb
 32a255c32a2c501da8e0b428bd4e7e27db5c2f97a5e558c28b5a124fe512d99b 55976 libblkid1-udeb_2.17.2-4_i386.udeb
 56d6aaf63df7df1c87a1cee11c2add15b2e8d49a5184716fb32ea69565751269 129686 libblkid-dev_2.17.2-4_i386.deb
 4db3c3186716379f00c66e4dbb20007b95d9a11f9a9c87bb4f4b2a5a0086e07c 58074 libuuid1_2.17.2-4_i386.deb
 31e358e2c23e76e6ce3acac2c2145ee588c3760ebc4f19ca2838f5be03216a99 61008 uuid-runtime_2.17.2-4_i386.deb
 b85c2953092e935501a61a0b0f830e18f8459a58ddce329d6b1c012aef5cea69 7786 libuuid1-udeb_2.17.2-4_i386.udeb
 f18f5c2cd3d967a1093b11e59442ea953b440a969299ab3fd9a60a560df2e1b1 71852 uuid-dev_2.17.2-4_i386.deb
 d5ba885ba7008fe3e27f0554688f75e7847280068a26110ef63d8dfb4c04de5e 10174 util-linux-udeb_2.17.2-4_i386.udeb
 37daa77d601507a61fc2e96d7eb906bba167684903ccd22bfea133c5a9204aa7 1485 util-linux_2.17.2-4.dsc
 237faea7b411fe7d68db8278cb589b1f04eae2e0734971166c14d72730758282 178379 util-linux_2.17.2-4.diff.gz
Files: 
 3eb5c3a4423423a055a7ec976a9e1478 733094 utils required util-linux_2.17.2-4_amd64.deb
 25f08fde0e2ef538817fa27e59595448 177428 admin required mount_2.17.2-4_amd64.deb
 6c904f72e38e52cbeef9bbdce0170f32 79348 utils required bsdutils_2.17.2-4_amd64.deb
 c1691d53d1250e538eeff93d126f3865 76696 debian-installer extra fdisk-udeb_2.17.2-4_amd64.udeb
 083cc27615ee5672cdfa876f9ad66c3d 1363992 debian-installer extra cfdisk-udeb_2.17.2-4_amd64.udeb
 aaaa002f1f753b619df7ec0855dca6ea 107686 libs required libblkid1_2.17.2-4_amd64.deb
 240f6becb8c3b8058a5b76dd291d855a 57924 debian-installer optional libblkid1-udeb_2.17.2-4_amd64.udeb
 8d2d3a90c1b11f2d19655c58a64c2e1a 135130 libdevel extra libblkid-dev_2.17.2-4_amd64.deb
 0e5f028dafcbee81cd95c0398247f90e 58388 libs required libuuid1_2.17.2-4_amd64.deb
 75ad1cda79a7889443780558ca087833 61842 libs optional uuid-runtime_2.17.2-4_amd64.deb
 ddcf606afe4112894d9350e4da31627b 8032 debian-installer optional libuuid1-udeb_2.17.2-4_amd64.udeb
 339d3a9f23a498bf06fa33d9462eca47 73018 libdevel extra uuid-dev_2.17.2-4_amd64.deb
 188d0d5dae529065989a5b662973e756 10882 debian-installer optional util-linux-udeb_2.17.2-4_amd64.udeb
 a63ccb435b4c4d2273af5ec55a822a5c 1386234 utils optional util-linux-locales_2.17.2-4_all.deb
 134554827c7385fe2adb72d9d229647b 702320 utils required util-linux_2.17.2-4_i386.deb
 2792bf0f8c1643bf4bf099a6ec07a1ee 169766 admin required mount_2.17.2-4_i386.deb
 d716197e5f750e60eacb86e1bf21811e 77732 utils required bsdutils_2.17.2-4_i386.deb
 4c9f7cc85d13cc18f27fefc87d7f7ec8 71478 debian-installer extra fdisk-udeb_2.17.2-4_i386.udeb
 9fd0f605a54eea3c89a8d942e3621c55 1363120 debian-installer extra cfdisk-udeb_2.17.2-4_i386.udeb
 9b9c0186c98ef65fd3677e7cfc1f2b90 105642 libs required libblkid1_2.17.2-4_i386.deb
 99b6f3d5b45e9732592581fc5288b727 55976 debian-installer optional libblkid1-udeb_2.17.2-4_i386.udeb
 de637e331eef1b0761b38e5da58cb16d 129686 libdevel extra libblkid-dev_2.17.2-4_i386.deb
 84a3ff211b0cfee91f7c299aa4c0d0ee 58074 libs required libuuid1_2.17.2-4_i386.deb
 4c33967f9be3088225534d443fc01829 61008 libs optional uuid-runtime_2.17.2-4_i386.deb
 a2058c879cf305bffc2451d43a3a95bc 7786 debian-installer optional libuuid1-udeb_2.17.2-4_i386.udeb
 2c8341601cb820af1495c8ec8033df48 71852 libdevel extra uuid-dev_2.17.2-4_i386.deb
 d18b070e001e90e842611cb7d1c674a3 10174 debian-installer optional util-linux-udeb_2.17.2-4_i386.udeb
 18540220360b93b6ef6a1474c4fe2958 1485 base required util-linux_2.17.2-4.dsc
 7ffb37e2623aa2c682b6c694a967b8c8 178379 base required util-linux_2.17.2-4.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNFQ43zN/kmwoKyScRArgtAJ4+ObF/Xypj8psVKpcx48VFACGsHACePyX3
qjD1WXbZb63/d1yMoHSKLBE=
=FUzB
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Fri, 14 Jan 2011 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Otto <otto@informatik.rwth-aachen.de>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Fri, 14 Jan 2011 20:15:06 GMT) Full text and rfc822 format available.

Message #108 received at 566072@bugs.debian.org (full text, mbox):

From: Carsten Otto <otto@informatik.rwth-aachen.de>
To: 566072@bugs.debian.org
Subject: Re: util-linux: fsck goes into maintenance shell on every boot
Date: Fri, 14 Jan 2011 21:13:25 +0100
[Message part 1 (text/plain, inline)]
Dear all,

the patch introduced in #68 causes the postinst script to fail when
upgrading from lenny to squeeze while the fstab contains a noauto entry
with non-zero pass number.

By adding -ex to the postinst script I got:
+ db_input critical util-linux/noauto-with-nonzero-passnum
+ _db_cmd 'INPUT critical' util-linux/noauto-with-nonzero-passnum
+ IFS=' '
+ printf '%s\n' 'INPUT critical util-linux/noauto-with-nonzero-passnum'
+ IFS='
+ read -r _db_internal_line
+ RET='10 "util-linux/noauto-with-nonzero-passnum" doesn'\''t exist'
+ case ${_db_internal_line%%[   ]*} in
+ return 10
dpkg: error processing util-linux (--install):
 subprocess installed post-installation script returned error exit status 10

As a result, the postinst script fails with error code 10. Fixing the
fstab worked for me, but getting that information was non-trivial.

Best regards,
-- 
Carsten Otto           otto@informatik.rwth-aachen.de
LuFG Informatik 2      http://verify.rwth-aachen.de/otto/
RWTH Aachen            phone: +49 241 80-21211
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Fri, 14 Jan 2011 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Fri, 14 Jan 2011 20:51:06 GMT) Full text and rfc822 format available.

Message #113 received at 566072@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Carsten Otto <otto@informatik.rwth-aachen.de>, 566072@bugs.debian.org
Subject: Re: Bug#566072: util-linux: fsck goes into maintenance shell on every boot
Date: Fri, 14 Jan 2011 20:48:38 +0000
reopen 566072
thanks

On Fri, 2011-01-14 at 21:13 +0100, Carsten Otto wrote:
> the patch introduced in #68 causes the postinst script to fail when
> upgrading from lenny to squeeze while the fstab contains a noauto entry
> with non-zero pass number.
> 
> By adding -ex to the postinst script I got:
[...]
> + RET='10 "util-linux/noauto-with-nonzero-passnum" doesn'\''t exist'
> + case ${_db_internal_line%%[   ]*} in
> + return 10
> dpkg: error processing util-linux (--install):
>  subprocess installed post-installation script returned error exit status 10

This appears to be due to the fact that the package build only invokes
dh_installdebconf in the binary-indep target.  As a result the templates
file intended to warn you about the contents of your fstab is only added
to the package if a full build (i.e. arch:all and architecture-dependent
packages) is being performed.

The maintainer's i386 upload therefore includes the template, but the
buildd-generated packages do not (nor does the amd64 package which the
maintainer uploaded together with the i386 packages, so presumably the
initial build was performed on i386 and an arch-dep build on amd64).

I've verified that adding dh_installdebconf to the binary-arch target as
well ensures that the templates are added both for a full and an
arch-dep-binary-only build.

Regards,

Adam





Bug No longer marked as fixed in versions util-linux/2.17.2-4 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Jan 2011 20:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#566072; Package util-linux. (Sat, 15 Jan 2011 14:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 15 Jan 2011 14:27:08 GMT) Full text and rfc822 format available.

Message #120 received at 566072@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 566072@bugs.debian.org
Cc: Carsten Otto <otto@informatik.rwth-aachen.de>
Subject: Re: Bug#566072: util-linux: fsck goes into maintenance shell on every boot
Date: Sat, 15 Jan 2011 15:24:14 +0100
[Message part 1 (text/plain, inline)]
tag 566072 + patch
thanks

On Fri, 14 Jan 2011 20:48:38 +0000, Adam D. Barratt wrote:

> This appears to be due to the fact that the package build only invokes
> dh_installdebconf in the binary-indep target.  As a result the templates
> file intended to warn you about the contents of your fstab is only added
> to the package if a full build (i.e. arch:all and architecture-dependent
> packages) is being performed.
[..]
> I've verified that adding dh_installdebconf to the binary-arch target as
> well ensures that the templates are added both for a full and an
> arch-dep-binary-only build.

Hi LaMont,

for your convenience I've prepared a patch (attached) implementing
Adam's suggestion and verified that it works for both
arch-dep-binary-only and full builds.

(Since the bug was reopened only yesterday, I'm not uploading an NMU
right away.)

(Probably dh_installdebconf in binary-indep is not needed at all, but
it also doesn't hurt to keep it.)

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Rod Stewart
[566072.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 16:57:02 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.17.2-7. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 17:45:06 GMT) Full text and rfc822 format available.

Reply sent to LaMont Jones <lamont@debian.org>:
You have taken responsibility. (Sat, 15 Jan 2011 18:21:04 GMT) Full text and rfc822 format available.

Notification sent to John Goerzen <jgoerzen@complete.org>:
Bug acknowledged by developer. (Sat, 15 Jan 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #129 received at 566072-close@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: 566072-close@bugs.debian.org
Subject: Bug#566072: fixed in util-linux 2.17.2-7
Date: Sat, 15 Jan 2011 18:17:38 +0000
Source: util-linux
Source-Version: 2.17.2-7

We believe that the bug you reported is fixed in the latest version of
util-linux, which is due to be installed in the Debian FTP archive:

bsdutils_2.17.2-7_amd64.deb
  to main/u/util-linux/bsdutils_2.17.2-7_amd64.deb
bsdutils_2.17.2-7_i386.deb
  to main/u/util-linux/bsdutils_2.17.2-7_i386.deb
cfdisk-udeb_2.17.2-7_amd64.udeb
  to main/u/util-linux/cfdisk-udeb_2.17.2-7_amd64.udeb
cfdisk-udeb_2.17.2-7_i386.udeb
  to main/u/util-linux/cfdisk-udeb_2.17.2-7_i386.udeb
fdisk-udeb_2.17.2-7_amd64.udeb
  to main/u/util-linux/fdisk-udeb_2.17.2-7_amd64.udeb
fdisk-udeb_2.17.2-7_i386.udeb
  to main/u/util-linux/fdisk-udeb_2.17.2-7_i386.udeb
libblkid-dev_2.17.2-7_amd64.deb
  to main/u/util-linux/libblkid-dev_2.17.2-7_amd64.deb
libblkid-dev_2.17.2-7_i386.deb
  to main/u/util-linux/libblkid-dev_2.17.2-7_i386.deb
libblkid1-udeb_2.17.2-7_amd64.udeb
  to main/u/util-linux/libblkid1-udeb_2.17.2-7_amd64.udeb
libblkid1-udeb_2.17.2-7_i386.udeb
  to main/u/util-linux/libblkid1-udeb_2.17.2-7_i386.udeb
libblkid1_2.17.2-7_amd64.deb
  to main/u/util-linux/libblkid1_2.17.2-7_amd64.deb
libblkid1_2.17.2-7_i386.deb
  to main/u/util-linux/libblkid1_2.17.2-7_i386.deb
libuuid1-udeb_2.17.2-7_amd64.udeb
  to main/u/util-linux/libuuid1-udeb_2.17.2-7_amd64.udeb
libuuid1-udeb_2.17.2-7_i386.udeb
  to main/u/util-linux/libuuid1-udeb_2.17.2-7_i386.udeb
libuuid1_2.17.2-7_amd64.deb
  to main/u/util-linux/libuuid1_2.17.2-7_amd64.deb
libuuid1_2.17.2-7_i386.deb
  to main/u/util-linux/libuuid1_2.17.2-7_i386.deb
mount_2.17.2-7_amd64.deb
  to main/u/util-linux/mount_2.17.2-7_amd64.deb
mount_2.17.2-7_i386.deb
  to main/u/util-linux/mount_2.17.2-7_i386.deb
util-linux-locales_2.17.2-7_all.deb
  to main/u/util-linux/util-linux-locales_2.17.2-7_all.deb
util-linux-udeb_2.17.2-7_amd64.udeb
  to main/u/util-linux/util-linux-udeb_2.17.2-7_amd64.udeb
util-linux-udeb_2.17.2-7_i386.udeb
  to main/u/util-linux/util-linux-udeb_2.17.2-7_i386.udeb
util-linux_2.17.2-7.diff.gz
  to main/u/util-linux/util-linux_2.17.2-7.diff.gz
util-linux_2.17.2-7.dsc
  to main/u/util-linux/util-linux_2.17.2-7.dsc
util-linux_2.17.2-7_amd64.deb
  to main/u/util-linux/util-linux_2.17.2-7_amd64.deb
util-linux_2.17.2-7_i386.deb
  to main/u/util-linux/util-linux_2.17.2-7_i386.deb
uuid-dev_2.17.2-7_amd64.deb
  to main/u/util-linux/uuid-dev_2.17.2-7_amd64.deb
uuid-dev_2.17.2-7_i386.deb
  to main/u/util-linux/uuid-dev_2.17.2-7_i386.deb
uuid-runtime_2.17.2-7_amd64.deb
  to main/u/util-linux/uuid-runtime_2.17.2-7_amd64.deb
uuid-runtime_2.17.2-7_i386.deb
  to main/u/util-linux/uuid-runtime_2.17.2-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566072@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LaMont Jones <lamont@debian.org> (supplier of updated util-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 15 Jan 2011 09:54:50 -0700
Source: util-linux
Binary: util-linux util-linux-locales mount bsdutils fdisk-udeb cfdisk-udeb libblkid1 libblkid1-udeb libblkid-dev libuuid1 uuid-runtime libuuid1-udeb uuid-dev util-linux-udeb
Architecture: all amd64 i386 source
Version: 2.17.2-7
Distribution: unstable
Urgency: low
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: LaMont Jones <lamont@debian.org>
Closes: 566072
Description: 
 bsdutils   - Basic utilities from 4.4BSD-Lite
 cfdisk-udeb - Manually partition a hard drive (cfdisk) (udeb)
 fdisk-udeb - Manually partition a hard drive (fdisk) (udeb)
 libblkid1  - block device id library
 libblkid1-udeb - block device id library (udeb)
 libblkid-dev - block device id library - headers and static libraries
 libuuid1-udeb - stripped down universally unique id library, for debian-installer (udeb)
 libuuid1   - Universally Unique ID library
 mount      - Tools for mounting and manipulating filesystems
 util-linux-locales - Locales files for util-linux
 util-linux - Miscellaneous system utilities
 util-linux-udeb - Miscellaneous system utilities (udeb)
 uuid-dev   - universally unique id library - headers and static libraries
 uuid-runtime - runtime components for the Universally Unique ID library
Changes: 
 util-linux (2.17.2-7) unstable; urgency=low
 .
   * dh_installdebconf is needed in binary-arch, not so much in -indep.
     Based on report from Adam D. Barratt <adam@adam-barratt.org.uk>.
     Closes: #566072
Checksums-Sha1: 
 f345b7d9739391a99984270a59f424b9b4a7881d 1386002 util-linux-locales_2.17.2-7_all.deb
 0eb1f0711f34a25ad1a4d72debaba546690e2a33 738936 util-linux_2.17.2-7_amd64.deb
 acb08c3c6a350a3437c0e3e9ecec045814c3598a 178086 mount_2.17.2-7_amd64.deb
 085c5fdac39957125290d6311e8980f83bdd96f9 80140 bsdutils_2.17.2-7_amd64.deb
 e184db6dbd97657a858ac9940795882c141f1477 76696 fdisk-udeb_2.17.2-7_amd64.udeb
 43a371d97f96735b718b537ed868f065891df30d 1363938 cfdisk-udeb_2.17.2-7_amd64.udeb
 4674e3725789c5af9be9d3c9bcdb5e6ceba7a9ef 108524 libblkid1_2.17.2-7_amd64.deb
 2c58f6cea29a3eacad665975efc8493d4079ca5e 57924 libblkid1-udeb_2.17.2-7_amd64.udeb
 3c1ba5bd2e3a21999ccdf390eef1f61d612f86a1 136028 libblkid-dev_2.17.2-7_amd64.deb
 a604275c81e6bc43aee731a4707c9b9695c92a25 59178 libuuid1_2.17.2-7_amd64.deb
 47bb990344df2a8d4fe383da497a08d1b55bbc4c 62672 uuid-runtime_2.17.2-7_amd64.deb
 5eec02accd10c07cbb1fbe21067ed78239dd0881 8036 libuuid1-udeb_2.17.2-7_amd64.udeb
 dd21b469033d9bd053b9e454ebd601d763295bcc 73678 uuid-dev_2.17.2-7_amd64.deb
 558a90e10f4a3fb4737eb2bcc7003d0561c795bd 10886 util-linux-udeb_2.17.2-7_amd64.udeb
 94074ab19eb7a2cefeddc15cd660c6daa3c1a688 707782 util-linux_2.17.2-7_i386.deb
 946fc31702aa443c88b869098b69cc0c7cd23cc8 170570 mount_2.17.2-7_i386.deb
 a672597d2eca3b15f27ece007f264e18f20e961e 78540 bsdutils_2.17.2-7_i386.deb
 5248bbf7cfc0b3b89e9c31769452386ba3d5d72b 71484 fdisk-udeb_2.17.2-7_i386.udeb
 a2bf4c9872e8623a4430c4759eba1b4e225e5149 1363120 cfdisk-udeb_2.17.2-7_i386.udeb
 902f85e3f72aa994f305ffc20461c7a8381cb80c 106436 libblkid1_2.17.2-7_i386.deb
 248b63e424a86d49e5b73c3cdc43c2e5f11f102b 55978 libblkid1-udeb_2.17.2-7_i386.udeb
 28ea354206413cc635378dd3ecaf0119c4bfb595 130558 libblkid-dev_2.17.2-7_i386.deb
 3a82432ab3f55ca54ba5a35fa9991ff5656d1fe7 58882 libuuid1_2.17.2-7_i386.deb
 79e4eddf5cb0b72dbbf761b86e1d8b128b578eef 61844 uuid-runtime_2.17.2-7_i386.deb
 12805501a8d750ca604ac7076074cebf7d73d2fa 7788 libuuid1-udeb_2.17.2-7_i386.udeb
 7d1cc3bc8b5ef478731f9232c50c480cd6e231b7 72498 uuid-dev_2.17.2-7_i386.deb
 e98f346578647fa8de999eb298d089c2c559c0a3 10176 util-linux-udeb_2.17.2-7_i386.udeb
 0bd4e3cb71fe8340176f6c2a31bcf1f84f119cbb 1498 util-linux_2.17.2-7.dsc
 4d7ebd8bce00e13c7b0187a8bdb2c9283ed8ef80 186854 util-linux_2.17.2-7.diff.gz
Checksums-Sha256: 
 abd7289c0ba70302f2ec11ce5e252f5532250e96b63bd020a813a06f8fb2fa55 1386002 util-linux-locales_2.17.2-7_all.deb
 836a613ed54c7a1fdef3f0b743e59964d2958b6c216a22476c595339e2f789c7 738936 util-linux_2.17.2-7_amd64.deb
 5733b08a4adb02778d9657f1bbb8202d5afd16d6b532f76b822282b7e5f0cec7 178086 mount_2.17.2-7_amd64.deb
 f151522b8437863f17b9e94a33d732c23bb1d9d494c219172ad69363eb4e5fbf 80140 bsdutils_2.17.2-7_amd64.deb
 f851639b6236fe65dac1da6597f2479b494bba860c3dcdfd400fbd8cabc14e5c 76696 fdisk-udeb_2.17.2-7_amd64.udeb
 b3a906966d4b52306c7ccd761809e6e87acaead7ae080931eccf2653272605bb 1363938 cfdisk-udeb_2.17.2-7_amd64.udeb
 bba34e7cbc8ebe4a4d7d2f725f7ab0691ca08038353d34b0854111371960fd81 108524 libblkid1_2.17.2-7_amd64.deb
 5222effe7c153befdfcc56ae6c5227afd80d2b4b5d464a067dc952ca7cbdea39 57924 libblkid1-udeb_2.17.2-7_amd64.udeb
 802ba8778485975cdcff4f9497ca9ebbb5c4f9ca5b0b1a12e2d155db665d4108 136028 libblkid-dev_2.17.2-7_amd64.deb
 abd32b687ec6181ec619ca8a5aa185451284e8735a158e5194fd4832878c22da 59178 libuuid1_2.17.2-7_amd64.deb
 98071e258d7eba1cf5f2d1911c44f11986a0f42debc965cd96d9d79d2076c006 62672 uuid-runtime_2.17.2-7_amd64.deb
 f22a9ce3aa76b16eadc1ddb877ee29fd389d435f2269cee83a71558ac5a0570c 8036 libuuid1-udeb_2.17.2-7_amd64.udeb
 e1abf0bc524a0c4c8c6ad3478551ac6fc6199e1096afc0779684909344512285 73678 uuid-dev_2.17.2-7_amd64.deb
 6b05ac1da8e8fe95455bb8d2da40b374002b2761bcd70f48e1990be95f51304c 10886 util-linux-udeb_2.17.2-7_amd64.udeb
 648fd8b1270c28e361e969123d42723e6ca65c0f1356f99eb0bedd960ca09e6a 707782 util-linux_2.17.2-7_i386.deb
 200046ea543a179bd5462cd27218ae5431f17a634bbbfd161d288420b2c5905f 170570 mount_2.17.2-7_i386.deb
 51d7c009b7e8df71386e0ddcb8cda5b7aa80aa635ae8e9a15b2067c82a871532 78540 bsdutils_2.17.2-7_i386.deb
 ccda7a496072834ee034dd8b9ee92ef845e09f1c3708a226a1b4d8ef207549ab 71484 fdisk-udeb_2.17.2-7_i386.udeb
 1e7172a93cb5c11944d522e87ecdcd4174564aa5dffe14855b355e7c7acfcbea 1363120 cfdisk-udeb_2.17.2-7_i386.udeb
 f58afc37aa9ec6c3d7b112e4cc19165212b88b9473a118da16e6d149066e3589 106436 libblkid1_2.17.2-7_i386.deb
 d7359f9a99491ddf0c6018f5aec51470ff14666d581a6fe15f14c4fdf50a4958 55978 libblkid1-udeb_2.17.2-7_i386.udeb
 70d9d472c0c3756d529f6bbdc8dd42614d2072aaecb8d03e689f88167bbf1d0f 130558 libblkid-dev_2.17.2-7_i386.deb
 99a3634676b49b9e748443395c6c9adb2d1b2280a09926d588d64226e858bb34 58882 libuuid1_2.17.2-7_i386.deb
 5d5ed029cfe3974e69ef5ee84af9d271ed6dcb23e20e0f16fa25712dc66d2ce3 61844 uuid-runtime_2.17.2-7_i386.deb
 802fd28d42187f1ce6f953f560db87849ac2bc49d6988d6a29fa95354ff1c56e 7788 libuuid1-udeb_2.17.2-7_i386.udeb
 20c57040f1ff2dc828ddb8ad09b4fb1c092a563b11c696b2ce031b0301b941b1 72498 uuid-dev_2.17.2-7_i386.deb
 85f2ee57b00d582af8b41862d56a3c0e36fa55644d9196cbaefe59a501bafec0 10176 util-linux-udeb_2.17.2-7_i386.udeb
 b1263daf0a26ce4b2e60259029a907a8df32ecbbdba593253bcb32131cdf78b9 1498 util-linux_2.17.2-7.dsc
 d8758f1ae44e4501d790948c8ee674c521dd804e3786b3dfb840c441d561f253 186854 util-linux_2.17.2-7.diff.gz
Files: 
 03608981678380343bff218ba1e81aa8 1386002 utils optional util-linux-locales_2.17.2-7_all.deb
 5a462862ca4971806172e90b56bb9da7 738936 utils required util-linux_2.17.2-7_amd64.deb
 049e5653ae099cbebedfe18ad03b566c 178086 admin required mount_2.17.2-7_amd64.deb
 61ef818b79113e206e356401fccf5e61 80140 utils required bsdutils_2.17.2-7_amd64.deb
 a972e17e0cd88cff6e56ba0832897fe5 76696 debian-installer extra fdisk-udeb_2.17.2-7_amd64.udeb
 29707dd0b8cd96cdc2be6fd71ae081c0 1363938 debian-installer extra cfdisk-udeb_2.17.2-7_amd64.udeb
 aa9b6a8d222015eae3f3b0b3d6a77a2b 108524 libs required libblkid1_2.17.2-7_amd64.deb
 cd12e1ca5173a1dbc5bdd1f59730f0c0 57924 debian-installer optional libblkid1-udeb_2.17.2-7_amd64.udeb
 78577f042f6ed8f0d8d49a832282f855 136028 libdevel extra libblkid-dev_2.17.2-7_amd64.deb
 32c38e5b6b14bdda236145bef3ff90d1 59178 libs required libuuid1_2.17.2-7_amd64.deb
 afa30165fbe89651e0aeebe56904a0cf 62672 libs optional uuid-runtime_2.17.2-7_amd64.deb
 138137af1db6849315caf7ce2d9102cf 8036 debian-installer optional libuuid1-udeb_2.17.2-7_amd64.udeb
 13ce061babf14734f0f7161f17d03fe6 73678 libdevel extra uuid-dev_2.17.2-7_amd64.deb
 bd01978276c63476111cdc563fc70ff3 10886 debian-installer optional util-linux-udeb_2.17.2-7_amd64.udeb
 bdac20ee95a704280c50883d7cd2d87c 707782 utils required util-linux_2.17.2-7_i386.deb
 0759db97bd664fbea47763e7383aff1b 170570 admin required mount_2.17.2-7_i386.deb
 7dd901fbea0f97c4bf0892a1a55f76d8 78540 utils required bsdutils_2.17.2-7_i386.deb
 784dc53b9db57aa86e3b9981d624402d 71484 debian-installer extra fdisk-udeb_2.17.2-7_i386.udeb
 1e18ccba20dd75f7ea3095bbb6240993 1363120 debian-installer extra cfdisk-udeb_2.17.2-7_i386.udeb
 67e118ce69050292557c5ebe50f7c31d 106436 libs required libblkid1_2.17.2-7_i386.deb
 22339d310c6707b9412a8e42be8c844a 55978 debian-installer optional libblkid1-udeb_2.17.2-7_i386.udeb
 89afe1af4aae7476532925230a460228 130558 libdevel extra libblkid-dev_2.17.2-7_i386.deb
 0343392ecc17bcdb1924709384c48da8 58882 libs required libuuid1_2.17.2-7_i386.deb
 d6c92c6ec24e092bdd429fa98552361b 61844 libs optional uuid-runtime_2.17.2-7_i386.deb
 fc65ece609188f5a12ba7401a65e4696 7788 debian-installer optional libuuid1-udeb_2.17.2-7_i386.udeb
 9b42b7f93f1b35261dfb4a0a3fb2e2ca 72498 libdevel extra uuid-dev_2.17.2-7_i386.deb
 36878d51cf9da26268094be8ca934ab1 10176 debian-installer optional util-linux-udeb_2.17.2-7_i386.udeb
 0813687c95c67b04656e6ce4078b0f0b 1498 base required util-linux_2.17.2-7.dsc
 2b50339e24c5c947149be1746f9e2bb2 186854 base required util-linux_2.17.2-7.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNMeE9zN/kmwoKyScRAldUAJ9zF2Spkh5RrAd+Nx/T/cbMbrfUugCggQYF
XdfkLmDNbOqP/f5rztnxeJY=
=+7K9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jul 2011 07:36:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:54:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.